Bug 460982 - Need to increase some defaults in texmf.cnf
Need to increase some defaults in texmf.cnf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 01:54 EDT by Devrim GUNDUZ
Modified: 2013-07-02 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 05:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devrim GUNDUZ 2008-09-03 01:54:40 EDT
Description of problem:

While building PostgreSQL pdf documentation, I get an error about the capacity of TeX, like:

"! TeX capacity exceeded, sorry [hash size=60000]."

Version-Release number of selected component (if applicable):
texlive-texmf-2007-22.fc9

How reproducible:
Always

Steps to Reproduce:
1. Download any PostgreSQL tarball
2. ./configure 
3. cd doc/src/sgml; make postgres-A4.pdf
  
Actual results:

See above

Additional info:

As described in PostgreSQL manual:

http://www.postgresql.org/docs/current/static/docguide-build.html

Changing the defaults to these values will help:

hash_extra.jadetex  = 200000
hash_extra.pdfjadetex  = 200000
pool_size.jadetex = 2000000
pool_size.pdfjadetex = 2000000
string_vacancies.jadetex = 150000
string_vacancies.pdfjadetex = 150000
max_strings.jadetex = 300000
max_strings.pdfjadetex = 300000
save_size.jadetex = 15000
save_size.pdfjadetex = 15000

Thanks, Devrim
Comment 1 Jindrich Novy 2008-10-14 12:38:21 EDT
The limits are now increased in rawhide and it will occur soon in the upcoming F9 updates.
Comment 2 Jindrich Novy 2008-10-15 06:08:02 EDT
Please test the following update if you have a while:
https://admin.fedoraproject.org/updates/texlive-2007-32.fc9,texlive-texmf-2007-24.fc9

It should finally fix this and couple of other issues :)
Comment 3 Devrim GUNDUZ 2008-10-15 11:06:48 EDT
Confirmed that it works my problems. Thanks for the update.
Comment 4 Fedora Update System 2008-10-20 16:29:37 EDT
texlive-texmf-2007-24.fc9, texlive-2007-32.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf texlive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8931
Comment 5 Fedora Update System 2008-11-21 05:58:30 EST
texlive-texmf-2007-24.fc9, texlive-2007-32.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.